      COMPLEX FUNCTION PC( X0, X, F, N, ERRMSG)

C     Polynomial approximant at X0
C     Limited to N = 10 (or so)

      PARAMETER ( MAXN = 10 )

      COMPLEX X0, X( N ), F( N ), FT( MAXN ), H( MAXN )
      CHARACTER*80 ERRMSG

      ERRMSG = ' '

C     ------ Initialize arrays
      DO K = 1, N
         H(  K ) = X( K ) - X0
         FT( K ) = F( K )
      END DO

C     ------ Recursion for solution
      IF ( N .GE. 2) THEN
         DO I = 1, N-1
            DO J = 1, N-I
               FT(J) = ( H(J+I) * FT(J) - H(J) * FT(J+1) ) /
     &                         ( H(J+I) - H(J) )
            END DO
         END DO
      ENDIF

      PC = FT( 1 )

      RETURN
      END
